# Class WriteArguments

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.WriteArguments

public class WriteArguments extends Component

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AND_MASK`
`static final String`
`CURSOR_POSITION`
`static final String`
`DISPLAY_NUMBER`
`static final String`
`OR_MASK`
`static final String`
`REGION_BEGIN`
`static final String`
`REGION_SIZE`
`static final String`
`TEXT`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`WriteArguments()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`check(int cellCount, boolean fix)`
`byte[]`
`getAndMask()`
`int`
`getCursorPosition()`
`int`
`getDisplayNumber()`
`byte[]`
`getOrMask()`
`int`
`getRegionBegin()`
`int`
`getRegionSize()`
`String`
`getText()`
`WriteArguments`
`setAndMask(byte[] mask)`
`WriteArguments`
`setCursorPosition(int position)`
`WriteArguments`
`setDisplayNumber(int number)`
`WriteArguments`
`setOrMask(byte[] mask)`
`WriteArguments`
`setRegion(int begin, int size)`
`WriteArguments`
`setRegionBegin(int begin)`
`WriteArguments`
`setRegionSize(int size)`
`WriteArguments`
`setText(String text)`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TEXT

public static final String TEXT

See Also:
  - Constant Field Values

### AND_MASK

public static final String AND_MASK

See Also:
  - Constant Field Values

### OR_MASK

public static final String OR_MASK

See Also:
  - Constant Field Values

### REGION_BEGIN

public static final String REGION_BEGIN

See Also:
  - Constant Field Values

### REGION_SIZE

public static final String REGION_SIZE

See Also:
  - Constant Field Values

### CURSOR_POSITION

public static final String CURSOR_POSITION

See Also:
  - Constant Field Values

### DISPLAY_NUMBER

public static final String DISPLAY_NUMBER

See Also:
  - Constant Field Values

## Constructor Details

### WriteArguments

public WriteArguments()

## Method Details

### getText

public String getText()

### setText

public WriteArguments setText(String text)

### getAndMask

public byte[] getAndMask()

### setAndMask

public WriteArguments setAndMask(byte[] mask)

### getOrMask

public byte[] getOrMask()

### setOrMask

public WriteArguments setOrMask(byte[] mask)

### getRegionBegin

public int getRegionBegin()

### setRegionBegin

public WriteArguments setRegionBegin(int begin)

### getRegionSize

public int getRegionSize()

### setRegionSize

public WriteArguments setRegionSize(int size)

### setRegion

public WriteArguments setRegion(int begin, int size)

### getCursorPosition

public int getCursorPosition()

### setCursorPosition

public WriteArguments setCursorPosition(int position)

### getDisplayNumber

public int getDisplayNumber()

### setDisplayNumber

public WriteArguments setDisplayNumber(int number)

### check

public final void check(int cellCount, boolean fix)